[arch-commits] Commit in gegl/repos (staging-x86_64 staging-x86_64/PKGBUILD)
Antonio Rojas
arojas at archlinux.org
Fri Oct 18 22:44:20 UTC 2019
Date: Friday, October 18, 2019 @ 22:44:19
Author: arojas
Revision: 365173
archrelease: copy trunk to staging-x86_64
Added:
gegl/repos/staging-x86_64/
gegl/repos/staging-x86_64/PKGBUILD
(from rev 365172, gegl/trunk/PKGBUILD)
----------+
PKGBUILD | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 54 insertions(+)
Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 365172, gegl/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2019-10-18 22:44:19 UTC (rev 365173)
@@ -0,0 +1,54 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.4.16
+pkgrel=3
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="https://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'luajit' 'jasper' 'lensfun' 'suitesparse')
+makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg' 'exiv2' 'vala' 'python2' 'gobject-introspection' 'git')
+optdepends=('ffmpeg: ffmpeg plugin')
+_commit=8fae1d8b35aa9b0d094f08411f6c68af7ffbb465 # tags/GEGL_0_4_16^0
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+ mkdir path
+ ln -s /usr/bin/python2 path/python
+
+ cd ${pkgname}
+ git cherry-pick -n c1c3541caab485384087bbbcf1c83ef2d5bd4d43
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+ cd ${pkgname}
+ ./configure --prefix=/usr --with-sdl --with-librsvg \
+ --with-libavformat --with-jasper --disable-docs \
+ --enable-workshop
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+ cd ${pkgname}
+ make -k check || :
+}
+
+package() {
+ export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+ cd ${pkgname}
+ make DESTDIR="${pkgdir}" install
+}
More information about the arch-commits
mailing list